---
apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: https-only
  namespace: traefik2
spec:
  redirectScheme:
    scheme: https

---
apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: auth-traefik-webui
  namespace: traefik2
spec:
  basicAuth:
    realm: "Traefik Dashboard"
    secret: traefik-basic-auth
